GETDiscovery

Get Data Plans

Returns a list of available eSIM data plans matching your specified criteria. Filter by type to scope results; Destination for country-specific plans, Region for regional plans, or Global for worldwide plans. Each result includes data allowance, validity, pricing, and supported countries.

Endpoint

GEThttps://api.sotel.com/api/esim/data/plan/fetch

Authentication

Requires an Authentication Token obtained from the /authenticate endpoint. Include it in the X-Token header.

X-Token:{{token}}

Query Parameters

NameTypeRequiredDescription
pageintegerOptionalPage number for pagination (zero-indexed). (Default: 0)
sizeintegerOptionalNumber of results per page. (Default: 15)
countrystringOptionalFilter by a specific country (e.g. Netherlands).
typestringOptional Data plan type. All possible values (DESTINATION, REGION, GLOBAL).

Response

List of available data plans returned successfully.

Response
{
  "status": "Success",
  "code": 200,
  "data": {
    "content": [
      {
        "productId": "21684916",
        "name": "Sudan 1GB 3days",
        "dataAllowance": 1,
        "timeAllowance": 3,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2,
        "currency": "USD",
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Sudan",
            "iso3": "SDN"
          }
        ]
      },
      {
        "productId": "21683388",
        "name": "Ghana 1GB 2days",
        "dataAllowance": 1,
        "timeAllowance": 2,
        "dataPlanType": "DESTINATION",
        "usdPrice": 3.2,
        "currency": "USD",
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Ghana",
            "iso3": "GHA"
          }
        ]
      },
      {
        "productId": "21670701",
        "name": "Nigeria 1GB 1days",
        "dataAllowance": 1,
        "timeAllowance": 1,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2,
        "currency": "USD",
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Nigeria",
            "iso3": "NGA"
          }
        ]
      },
      {
        "productId": "21170152",
        "name": "Turkey 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Turkey",
            "iso3": "TUR"
          }
        ]
      },
      {
        "productId": "21170341",
        "name": "Cape Verde 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 19.5,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Cape Verde",
            "iso3": "CPV"
          }
        ]
      },
      {
        "productId": "21170188",
        "name": "Liechtenstein 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Liechtenstein",
            "iso3": "LIE"
          }
        ]
      },
      {
        "productId": "21170161",
        "name": "Greece 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Greece",
            "iso3": "GRC"
          }
        ]
      },
      {
        "productId": "21170186",
        "name": "Israel 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2.75,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Israel",
            "iso3": "ISR"
          }
        ]
      },
      {
        "productId": "21170245",
        "name": "Colombia 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 5.75,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Colombia",
            "iso3": "COL"
          }
        ]
      },
      {
        "productId": "21170212",
        "name": "Saudi Arabia 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 3.75,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Saudi Arabia",
            "iso3": "SAU"
          }
        ]
      },
      {
        "productId": "21170327",
        "name": "Afghanistan 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 8.5,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Afghanistan",
            "iso3": "AFG"
          }
        ]
      },
      {
        "productId": "21170253",
        "name": "Martinique 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2.75,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Martinique",
            "iso3": "MTQ"
          }
        ]
      },
      {
        "productId": "21170208",
        "name": "Kuwait 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 3,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Kuwait",
            "iso3": "KWT"
          }
        ]
      },
      {
        "productId": "21170185",
        "name": "Finland 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "Finland",
            "iso3": "FIN"
          }
        ]
      },
      {
        "productId": "21170193",
        "name": "China 1GB 5 days",
        "dataAllowance": 1,
        "timeAllowance": 5,
        "dataPlanType": "DESTINATION",
        "usdPrice": 2.75,
        "currency": null,
        "iso3": null,
        "supportedCountries": [
          {
            "country": "China",
            "iso3": "CHN"
          }
        ]
      }
    ],
    "pageable": {
      "pageNumber": 0,
      "pageSize": 15,
      "sort": {
        "sorted": true,
        "empty": false,
        "unsorted": false
      },
      "offset": 0,
      "paged": true,
      "unpaged": false
    },
    "last": false,
    "totalElements": 789,
    "totalPages": 53,
    "size": 15,
    "number": 0,
    "sort": {
      "sorted": true,
      "empty": false,
      "unsorted": false
    },
    "first": true,
    "numberOfElements": 15,
    "empty": false
  },
  "message": "Successful",
  "timestamp": "2026-10-07 11:55:50"
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/data/plan/fetch?country=Nigeria&type=REGION&page=0&size=50' \
  -H 'X-Token:{{token}}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl --location 'https://api.sotel.com/api/esim/data/plan/fetch' \
--header 'X-Token: {token}'